<script setup>
defineProps({
  action: String,
  info: Object
})

const tab = ref('allocate')
const tabs = ref([
  {value: 'allocate', text: 'Allocate'},
  //{value: 'allocations', text: 'Allocations'}
])

const openTab = async (val) => {
  if(tab.value !== val) {
    tab.value = val
    sessionStorage.setItem('sales_payment_detail_record', tab.value)
  }
}
onMounted(() => {
  const getSessionStorageTab = sessionStorage.getItem('sales_payment_detail_record')
  if(getSessionStorageTab) {
    openTab(getSessionStorageTab)
  }
})
</script>

<template>
  <div class="bt-2px_dashed_hexe2e2e2">
    <DetailRecordTab v-model="tab" :tabs="tabs" @handler="(val) => openTab(val.value)" />
    <SalesPaymentDetailRecordAllocate v-if="tab === 'allocate'" :action="action" :info="info" />
  </div>
</template>